<template>
  <form class="form-inline header-search position-relative d-none d-lg-block">
      <input
        class="form-control header-search-input w-100"
        type="search"
        placeholder="Tìm kiếm"
        aria-label="Search"
      />
      <button class="header-search-btn" type="submit">
        <i class="fas fa-search" aria-hidden="true"></i>
      </button>
    </form>
</template>

<script>
export default {
  name: "HeaderSearch",
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-search {
  margin-right: 35px;
  width: 100%;
  max-width: 315px;
  @include breakpoints(max-xs) {
    max-width: 100%;
    margin-bottom: 20px;
  }
}

.header-search-input {
  padding-right: 35px;
}

.header-search-btn {
  @include position-top-right(0, 0);
  @include size-form(40px, 100%);
  background-color: transparent;
  border: none;
  padding: 0;
}
</style>
